## plasma-desktop 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-desktop)

set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")
set(ACCOUNTSQT_DEP_VERSION "1.13")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    Svg
    Concurrent
)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS WaylandClient)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

    find_package(QtWaylandScanner)
    set_package_properties(QtWaylandScanner PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building KWin with Wayland support"
    )
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    NewStuffQuick
    KIO
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    CoreAddons # KSharedDataCache required by KImageCache, KStringHandler required by FolderModel
    GuiAddons # KImageCache
    Declarative
    DBusAddons
    Activities
    ActivitiesStats
    Config
    WidgetsAddons
    Codecs
    Sonnet
    Package
)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KDELibs4Support) # kcms/dateandtime
endif()

find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)

set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES
    DESCRIPTION "Accounts management library for Qt applications"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(KAccounts 20.04)
set_package_properties(KAccounts PROPERTIES
    DESCRIPTION "Accounts management library for KDE applications"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES
    DESCRIPTION "Plugin for SignOnQt${QT_MAJOR_VERSION} which handles OAuth and OAuth2 logins"
    URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
    PURPOSE "Required for running the OpenDesktop integration plugin"
    TYPE RUNTIME
)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(WaylandProtocols 1.25)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)
find_package(Wayland 1.2)
set_package_properties(Wayland PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building Tablet input KCM"
)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibColorCorrect ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KDED CONFIG REQUIRED)

find_package(KF5Baloo ${KF5_MIN_VERSION})
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "File Searching"
    PURPOSE "Needed to build the File Search KCM"
    TYPE RECOMMENDED
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    PURPOSE "Required for building the X11 based workspace"
    TYPE REQUIRED
)

if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES
    DESCRIPTION "API for enumerating and introspecting local devices (part of systemd)"
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    PURPOSE "Required for device discovery in keyboard daemon"
    TYPE OPTIONAL
)

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT ATOM RECORD
)

find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES
    PURPOSE "Required for needed for touchpad KCM (X11 backend)"
    TYPE OPTIONAL
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

pkg_check_modules(XORGLIBINPUT xorg-libinput IMPORTED_TARGET)
pkg_check_modules(EVDEV xorg-evdev>=2.8.99.1 IMPORTED_TARGET)
pkg_check_modules(XORGSERVER xorg-server IMPORTED_TARGET)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries are needed for the synaptics touchpad KCM")

if(SYNAPTICS_FOUND)
    set(HAVE_SYNAPTICS 1)
endif()

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(PackageKitQt${QT_MAJOR_VERSION})
set_package_properties(PackageKitQt${QT_MAJOR_VERSION} PROPERTIES
    DESCRIPTION "Software Manager integration"
    PURPOSE "Used in the KRunner plugin installer"
    TYPE OPTIONAL
)

if(PackageKitQt${QT_MAJOR_VERSION}_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    PURPOSE "Required for building kimpanel"
    TYPE OPTIONAL
)

# For kimpanel
pkg_check_modules(IBUS "ibus-1.0>=1.5.0" IMPORTED_TARGET)
pkg_check_modules(GOBJECT gobject-2.0 IMPORTED_TARGET)
pkg_check_modules(SCIM scim IMPORTED_TARGET)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX PLASMA VERSION_HEADER plasma_version.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts_FOUND AND AccountsQt${QT_MAJOR_VERSION}_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
add_subdirectory(emojier)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(XdgUserDir)
set_package_properties(XdgUserDir PROPERTIES
    DESCRIPTION "Xdg-user-dir script"
    PURPOSE "Used to translate default paths in KCM desktoppath"
    TYPE RUNTIME
)

ki18n_install(po)
kdoctools_install(po)

=== emojier/app/CMakeLists.txt ===
add_executable(plasma-emojier emojier.cpp resources.qrc)
target_link_libraries(plasma-emojier Qt::Widgets Qt::Quick KF5::ConfigGui KF5::I18n KF5::CoreAddons KF5::Crash KF5::DBusAddons KF5::WindowSystem)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(plasma-emojier Qt::X11Extras)
else()
    target_link_libraries(plasma-emojier Qt::GuiPrivate)
endif()

install(TARGETS plasma-emojier ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.plasma.emojier.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)
install(PROGRAMS org.kde.plasma.emojier.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== kcms/activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KCMActivities)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_activities5\")

find_package (Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Sql Qml DBus)
find_package (KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package (KF5Declarative ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package (KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF5_MIN_VERSION} CONFIG REQUIRED)

set (KAMD_KCM_DATADIR
   ${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/workspace/settings/
   )

if (NOT IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
   set (KAMD_KCM_DATADIR "${CMAKE_INSTALL_PREFIX}/${KAMD_KCM_DATADIR}")
endif ()

configure_file (kactivities-kcm-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-kcm-features.h)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(imports)

set (KAMD_KCM_SRCS
   kcm_activities.cpp

   MainConfigurationWidget.cpp
   ActivitiesTab.cpp
   SwitchingTab.cpp

   ExtraActivitiesInterface.cpp
   )

ki18n_wrap_ui (
   KAMD_KCM_SRCS
   ui/MainConfigurationWidgetBase.ui
   ui/SwitchingTabBase.ui
   )

qt_add_dbus_interface (
   KAMD_KCM_SRCS

   common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
   )

qt_add_dbus_interface (
   KAMD_KCM_SRCS

   common/dbus/org.kde.ActivityManager.ResourceScoring.xml
   resourcescoring_interface
   )


kcmutils_generate_module_data(
    KAMD_KCM_SRCS
    MODULE_DATA_HEADER kactivitiesdata.h
    MODULE_DATA_CLASS_NAME KActivitiesData
    SETTINGS_HEADERS kactivitymanagerd_settings.h kactivitymanagerd_plugins_settings.h
    SETTINGS_CLASSES KActivityManagerdSettings KActivityManagerdPluginsSettings
)

kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_settings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_plugins_settings.kcfgc GENERATE_MOC)

add_library (kcm_activities MODULE ${KAMD_KCM_SRCS})
kcmutils_generate_desktop_file(kcm_activities)

target_link_libraries (kcm_activities
   Qt::Quick
   Qt::QuickWidgets
   Qt::Core
   Qt::Sql
   Qt::Qml
   Qt::DBus
   KF5::KCMUtils
   KF5::I18n
   KF5::Service
   KF5::Declarative
   KF5::XmlGui
   KF5::GlobalAccel
   KF5::Activities
   )

install (
   TARGETS kcm_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets
   )

install (
   DIRECTORY

   qml/activitiesTab

   DESTINATION ${KAMD_KCM_DATADIR}/qml
   )

install(FILES kactivitymanagerd_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kactivitymanagerd_plugins_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kcms/desktoppaths/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoppaths\")

set(kcm_desktoppaths_PART_SRCS
   globalpaths.cpp
   desktoppathssettings.cpp
)

kcmutils_generate_module_data(
    kcm_desktoppaths_PART_SRCS
    MODULE_DATA_HEADER desktoppathsdata.h
    MODULE_DATA_CLASS_NAME DesktopPathsData
    SETTINGS_HEADERS desktoppathssettings.h
    SETTINGS_CLASSES DesktopPathsSettings
)

ki18n_wrap_ui(kcm_desktoppaths_PART_SRCS globalpaths.ui)

add_library(kcm_desktoppaths MODULE ${kcm_desktoppaths_PART_SRCS})
kcmutils_generate_desktop_file(kcm_desktoppaths)

target_link_libraries(kcm_desktoppaths
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::Bookmarks
)

install(TARGETS kcm_desktoppaths DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets)

=== kcms/keyboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkeyboard\")

add_subdirectory(tastenbrett)

option(HAVE_XINPUT "X11 XInput" OFF)
option(HAVE_UDEV "UDev" OFF)

if (X11_Xinput_FOUND)
    set(HAVE_XINPUT ON)
elseif (UDEV_FOUND)
    set(HAVE_UDEV ON)
else()
    message(STATUS "X11 XInput and UDev is not found, either is required to keep layouts with keyboard hotplugging")
endif()

### kded daemon ###

set( kded_keyboard_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/debug.cpp
    keyboard_daemon.cpp
    layout_memory.cpp
    layout_memory_persister.cpp
    udev_helper.cpp
    x11_helper.cpp
    xinput_helper.cpp
    xkb_helper.cpp
    keyboard_config.cpp
    keyboard_hardware.cpp
    bindings.cpp
    flags.cpp
    xkb_rules.cpp
    layoutnames.cpp
)

kconfig_add_kcfg_files(kded_keyboard_SRCS keyboardsettings.kcfgc)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

kcoreaddons_add_plugin(kded_keyboard SOURCES ${kded_keyboard_SRCS} INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kded)
set_target_properties(kded_keyboard PROPERTIES OUTPUT_NAME keyboard)

target_link_libraries(kded_keyboard
    Qt::Concurrent
    Qt::Widgets
    Qt::Xml
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::KCMUtils
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    XCB::XCB
    XCB::XKB
    X11::X11
    X11::xkbfile
 )
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(kded_keyboard Qt5::X11Extras)
else()
    target_link_libraries(kded_keyboard Qt::GuiPrivate)
endif()

if (HAVE_XINPUT)
    target_link_libraries(kded_keyboard X11::Xi)
endif()

if (HAVE_UDEV)
    target_link_libraries(kded_keyboard UDev::UDev)
endif()

### kcm keyboard ###

set(kcm_keyboard_PART_SRCS
  kcm_keyboard.cpp
  kcm_keyboard_widget.cpp
  kcm_view_models.cpp
  kcm_add_layout_dialog.cpp
  keyboard_config.cpp
  keyboardsettingsdata.cpp
  x11_helper.cpp
  xkb_helper.cpp
  xkb_rules.cpp
  flags.cpp
  iso_codes.cpp
  kcmmisc.cpp
  bindings.cpp
  tastenbrett.cpp)

install(FILES kcminputrc_repeat.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kcminputrc_migrate_repeat_value.py
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(FILES kcminputrc_fix_botched_5_21_0.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kcminputrc_fix_botched_5_21_0.py
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

ecm_qt_declare_logging_category(kcm_keyboard_PART_SRCS
    HEADER debug.h
    IDENTIFIER KCM_KEYBOARD
    CATEGORY_NAME org.kde.kcm_keyboard
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KCM and KDED for keyboard layouts"
    EXPORT kcm_keyboard)
ecm_qt_install_logging_categories(
    EXPORT kcm_keyboard
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

kconfig_add_kcfg_files(kcm_keyboard_PART_SRCS workspace_options.kcfgc keyboardsettings.kcfgc keyboardmiscsettings.kcfgc)

ki18n_wrap_ui(kcm_keyboard_PART_SRCS kcm_keyboard.ui kcm_add_layout_dialog.ui kcmmiscwidget.ui)

add_library(kcm_keyboard_static STATIC ${kcm_keyboard_PART_SRCS})

set_property(TARGET kcm_keyboard_static PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(kcm_keyboard_static
    Qt::Concurrent
    Qt::Widgets
    Qt::Xml
    KF5::KCMUtils
    KF5::GlobalAccel
    KF5::I18n
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    XCB::XCB
    XCB::XKB
    X11::X11
    X11::xkbfile
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(kcm_keyboard_static Qt5::X11Extras)
else()
    target_link_libraries(kcm_keyboard_static Qt::GuiPrivate)
endif()

kcoreaddons_add_plugin(kcm_keyboard SOURCES kcmmain.cpp INSTALL_NAMESPACE "plasma/kcms/systemsettings")
kcmutils_generate_desktop_file(kcm_keyboard)

target_link_libraries(kcm_keyboard kcm_keyboard_static)

add_subdirectory(kconf_update)

configure_file(config-keyboard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keyboard.h)

# Unit tests
if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_subdirectory( tests )
endif()

add_dependencies(kcm_keyboard tastenbrett)

=== kcms/ksmserver/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_smserver\")

set(kcm_smserver_PART_SRCS kcmsmserver.cpp)

kcmutils_generate_module_data(
    kcm_smserver_PART_SRCS
    MODULE_DATA_HEADER smserverdata.h
    MODULE_DATA_CLASS_NAME SMServerData
    SETTINGS_HEADERS smserversettings.h
    SETTINGS_CLASSES SMServerSettings
)

qt_add_dbus_interface(kcm_smserver_PART_SRCS org.freedesktop.login1.Manager.xml login1_manager)

kconfig_add_kcfg_files(kcm_smserver_PART_SRCS smserversettings.kcfgc GENERATE_MOC)

kcoreaddons_add_plugin(kcm_smserver SOURCES ${kcm_smserver_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")
kcmutils_generate_desktop_file(kcm_smserver)

target_link_libraries(kcm_smserver
    Qt::Core
    Qt::DBus
    KF5::QuickAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::KCMUtils
    PW::KWorkspace)

add_subdirectory(kconf_update)

########### install files ###############

kpackage_install_package(package kcm_smserver kcms)

=== kcms/landingpage/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_landingpage\")

########### next target ###############
set(kcm_landingpage_SRCS
  landingpage.cpp
  landingpagedata.cpp
)

kcmutils_generate_module_data(
    kcm_landingpage_SRCS
    MODULE_DATA_HEADER landingpagedata.h
    MODULE_DATA_CLASS_NAME LandingPageData
    SETTINGS_HEADERS landingpage_kdeglobalssettings.h
    SETTINGS_CLASSES LandingPageGlobalsSettings
)

kconfig_add_kcfg_files(kcm_landingpage_SRCS landingpage_kdeglobalssettings.kcfgc GENERATE_MOC)

kcoreaddons_add_plugin(kcm_landingpage SOURCES ${kcm_landingpage_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")
kcmutils_generate_desktop_file(kcm_landingpage)

target_link_libraries(kcm_landingpage
    KF5::QuickAddons
    KF5::I18n
    KF5::KCMUtils
    KF5::ConfigWidgets
    KF5::Declarative
    KF5::Package
    PW::KWorkspace
    KF5::ActivitiesStats

    Qt::DBus
)

if(X11_FOUND)
    target_link_libraries(kcm_landingpage X11::X11)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(kcm_landingpage Qt5::X11Extras)
    endif()
endif()

########### install files ###############
install(FILES landingpage_kdeglobalssettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

kpackage_install_package(package kcm_landingpage kcms)

=== kcms/qtquicksettings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmqtquicksettings\")

set(kcm_qtquicksettings_PART_SRCS kcmqtquicksettings.cpp kcmqtquicksettings.h)
kconfig_add_kcfg_files(kcm_qtquicksettings_PART_SRCS renderersettings.kcfgc)

ki18n_wrap_ui(kcm_qtquicksettings_PART_SRCS kcmqtquicksettingswidget.ui)

add_library(kcm_qtquicksettings MODULE ${kcm_qtquicksettings_PART_SRCS})
kcmutils_generate_desktop_file(kcm_qtquicksettings)

target_link_libraries(kcm_qtquicksettings
    Qt::Widgets
    KF5::WidgetsAddons
    KF5::KCMUtils
    KF5::I18n
)

########### install files ###############

install(TARGETS kcm_qtquicksettings  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets)

=== applets/kimpanel/plugin/CMakeLists.txt ===
set(kimpanelplugin_SRCS
    kimpanel.cpp
    screen.cpp
    kimpanelplugin.cpp
    kimpanelagent.cpp
)
QT_ADD_DBUS_ADAPTOR(kimpanelplugin_SRCS
    org.kde.impanel.xml
    kimpanelagent.h
    PanelAgent)

add_library(kimpanelplugin SHARED ${kimpanelplugin_SRCS})
target_compile_definitions(kimpanelplugin PRIVATE -DKIMPANEL_LIBEXEC_DIR=\"${KDE_INSTALL_FULL_LIBEXECDIR}\")
target_link_libraries(kimpanelplugin Qt::Gui Qt::Qml Qt::DBus)
install(TARGETS kimpanelplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kimpanel)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kimpanel)

=== kcms/keyboard/kconf_update/CMakeLists.txt ===
install(FILES kxkb_variants.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_variants.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(FILES kxkb.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_emptylists.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_resetoptions.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== debian/changelog ===
plasma-desktop (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

plasma-desktop (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:33 +0200

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: baloo-kf5-dev (>= 5.102.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               intltool,
               kded5-dev (>= 5.89~),
               kinit-dev (>= 5.89~),
               kirigami2-dev (>= 5.102.0~),
               kscreenlocker-dev,
               kuserfeedback-dev,
               kwin-dev (>= 4:5.27.5~),
               libaccounts-qt5-dev (>= 1.13~),
               libboost-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libkaccounts-dev (>= 4:20.04~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.102.0~),
               libkf5attica-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5codecs-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemmodels-dev,
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kdelibs4support-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5notifyconfig-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5sonnet-dev (>= 5.102.0~),
               libkf5sysguard-dev,
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev (>= 5.102.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.27.5~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:5.27.5~),
         kactivitymanagerd (>= 5.27.5~),
         kde-cli-tools (>= 4:5.27.5~),
         kded5,
         kio,
         layer-shell-qt (>= 5.27.5~),
         oxygen-sounds (>= 4:5.27.5~),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.27.5~),
         plasma-workspace (>= 4:5.27.5~),
         polkit-kde-agent-1 (>= 4:5.27.5~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.27.5~),
            breeze-gtk-theme (>= 5.27.5~),
            fonts-hack,
            fonts-noto,
            ibus-data,
            kde-config-gtk-style (>= 4:5.27.5~),
            kde-config-screenlocker (>= 5.27.5~),
            kde-config-sddm (>= 4:5.27.5~),
            kde-style-oxygen-qt5 (>= 4:5.27.5~),
            kgamma5 (>= 5.27.5~),
            khelpcenter,
            khotkeys (>= 4:5.27.5~),
            kinfocenter (>= 4:5.27.5~),
            kio-extras,
            kmenuedit (>= 4:5.27.5~),
            kscreen (>= 4:5.27.5~),
            ksshaskpass (>= 4:5.27.5~),
            kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
            kwrited (>= 4:5.27.5~),
            libpam-kwallet5 (>= 5.27.5~),
            plasma-browser-integration (>= 5.27.5~),
            plasma-discover (>= 5.27.5~),
            plasma-disks (>= 5.27.5~),
            plasma-firewall (>= 4:5.27.5~),
            plasma-nm (>= 4:5.27.5~),
            plasma-pa (>= 4:5.27.5~),
            plasma-systemmonitor (>= 5.27.5~),
            plasma-thunderbolt (>= 5.27.5~),
            plasma-vault (>= 5.27.5~),
            plasma-welcome (>= 4:5.27.5~),
            plasma-workspace-wayland (>= 4:5.27.5~),
            powerdevil (>= 4:5.27.5~),
            systemsettings (>= 4:5.27.5~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 5.27.5~),
Suggests: kde-config-flatpak (>= 4:5.27.5~),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        user-manager (<< 4:5.20),
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Recommends: plasma-framework (>= 4:5.27.5~),
            plasma-workspace (>= 4:5.27.5~),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-org-kde-newstuff,
            qml-module-qt-labs-platform,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.17.5~),
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.25.70~),
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.17.5~),
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.25.70~),
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${so:Depends},
Breaks: kde-config-touchpad (<< 4:5),
Replaces: kde-config-touchpad (<< 4:5),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

## plasma-desktop 5.27.7.1

=== debian/changelog ===
plasma-desktop (4:5.27.7.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7.1).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Aug 2023 16:50:38 +0200

plasma-desktop (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                kirigami2-dev (>= 5.102.0~),
                kscreenlocker-dev,
                kuserfeedback-dev,
-               kwin-dev (>= 4:5.27.5~),
+               kwin-dev (>= 4:5.27.7~),
                libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
@@ -78,7 +78,7 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.7~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15.2~),
@@ -96,18 +96,18 @@
 Package: plasma-desktop
 Architecture: any
 Depends: accountsservice,
-         breeze (>= 4:5.27.5~),
-         kactivitymanagerd (>= 5.27.5~),
-         kde-cli-tools (>= 4:5.27.5~),
+         breeze (>= 4:5.27.7~),
+         kactivitymanagerd (>= 5.27.7~),
+         kde-cli-tools (>= 4:5.27.7~),
          kded5,
          kio,
-         layer-shell-qt (>= 5.27.5~),
-         oxygen-sounds (>= 4:5.27.5~),
+         layer-shell-qt (>= 5.27.7~),
+         oxygen-sounds (>= 4:5.27.7~),
          plasma-desktop-data (= ${source:Version}),
          plasma-framework,
-         plasma-integration (>= 5.27.5~),
-         plasma-workspace (>= 4:5.27.5~),
-         polkit-kde-agent-1 (>= 4:5.27.5~),
+         plasma-integration (>= 5.27.7~),
+         plasma-workspace (>= 4:5.27.7~),
+         polkit-kde-agent-1 (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kquickcontrols,
@@ -119,42 +119,42 @@
          qml-module-qt-labs-settings,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: bluedevil (>= 4:5.27.5~),
-            breeze-gtk-theme (>= 5.27.5~),
+Recommends: bluedevil (>= 4:5.27.7~),
+            breeze-gtk-theme (>= 5.27.7~),
             fonts-hack,
             fonts-noto,
             ibus-data,
-            kde-config-gtk-style (>= 4:5.27.5~),
-            kde-config-screenlocker (>= 5.27.5~),
-            kde-config-sddm (>= 4:5.27.5~),
-            kde-style-oxygen-qt5 (>= 4:5.27.5~),
-            kgamma5 (>= 5.27.5~),
+            kde-config-gtk-style (>= 4:5.27.7~),
+            kde-config-screenlocker (>= 5.27.7~),
+            kde-config-sddm (>= 4:5.27.7~),
+            kde-style-oxygen-qt5 (>= 4:5.27.7~),
+            kgamma5 (>= 5.27.7~),
             khelpcenter,
-            khotkeys (>= 4:5.27.5~),
-            kinfocenter (>= 4:5.27.5~),
+            khotkeys (>= 4:5.27.7~),
+            kinfocenter (>= 4:5.27.7~),
             kio-extras,
-            kmenuedit (>= 4:5.27.5~),
-            kscreen (>= 4:5.27.5~),
-            ksshaskpass (>= 4:5.27.5~),
-            kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
-            kwrited (>= 4:5.27.5~),
-            libpam-kwallet5 (>= 5.27.5~),
-            plasma-browser-integration (>= 5.27.5~),
-            plasma-discover (>= 5.27.5~),
-            plasma-disks (>= 5.27.5~),
-            plasma-firewall (>= 4:5.27.5~),
-            plasma-nm (>= 4:5.27.5~),
-            plasma-pa (>= 4:5.27.5~),
-            plasma-systemmonitor (>= 5.27.5~),
-            plasma-thunderbolt (>= 5.27.5~),
-            plasma-vault (>= 5.27.5~),
-            plasma-welcome (>= 4:5.27.5~),
-            plasma-workspace-wayland (>= 4:5.27.5~),
-            powerdevil (>= 4:5.27.5~),
-            systemsettings (>= 4:5.27.5~),
+            kmenuedit (>= 4:5.27.7~),
+            kscreen (>= 4:5.27.7~),
+            ksshaskpass (>= 4:5.27.7~),
+            kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
+            kwrited (>= 4:5.27.7~),
+            libpam-kwallet5 (>= 5.27.7~),
+            plasma-browser-integration (>= 5.27.7~),
+            plasma-discover (>= 5.27.7~),
+            plasma-disks (>= 5.27.7~),
+            plasma-firewall (>= 4:5.27.7~),
+            plasma-nm (>= 4:5.27.7~),
+            plasma-pa (>= 4:5.27.7~),
+            plasma-systemmonitor (>= 5.27.7~),
+            plasma-thunderbolt (>= 5.27.7~),
+            plasma-vault (>= 5.27.7~),
+            plasma-welcome (>= 4:5.27.7~),
+            plasma-workspace-wayland (>= 4:5.27.7~),
+            powerdevil (>= 4:5.27.7~),
+            systemsettings (>= 4:5.27.7~),
             xdg-desktop-portal-gtk,
-            xdg-desktop-portal-kde (>= 5.27.5~),
-Suggests: kde-config-flatpak (>= 4:5.27.5~),
+            xdg-desktop-portal-kde (>= 5.27.7~),
+Suggests: kde-config-flatpak (>= 4:5.27.7~),
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -184,8 +184,8 @@
 Package: plasma-desktop-data
 Architecture: all
 Depends: python3:any, ${misc:Depends},
-Recommends: plasma-framework (>= 4:5.27.5~),
-            plasma-workspace (>= 4:5.27.5~),
+Recommends: plasma-framework (>= 4:5.27.7~),
+            plasma-workspace (>= 4:5.27.7~),
             qml-module-org-kde-activities,
             qml-module-org-kde-kwindowsystem,
             qml-module-org-kde-newstuff,

## plasma-desktop 5.27.8

=== debian/changelog ===
plasma-desktop (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:21 +0100

plasma-desktop (4:5.27.7.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.27
    - Frameworks build deps versioned to 5.102.0
    - Kubuntu kickoff favourites.patch 
    - Runtime depend on qml-module-org-kde-kirigami2, xdg-user-dirs,
      and qml-module-org-kde-pipewire.
    - Do not recoemnd plasma-workspace-wayland or plasma-welcome. 
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Sep 2023 11:04:06 +0100

plasma-desktop (4:5.27.7.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Aug 2023 17:58:28 +0100

plasma-desktop (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:36 +0100

plasma-desktop (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:09 +0100

plasma-desktop (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-desktop
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -12,12 +13,12 @@
                extra-cmake-modules (>= 5.102.0~),
                gettext,
                intltool,
-               kded5-dev (>= 5.89~),
-               kinit-dev (>= 5.89~),
+               kded5-dev (>= 5.102.0~),
+               kinit-dev (>= 5.102.0~),
                kirigami2-dev (>= 5.102.0~),
-               kscreenlocker-dev,
+               kscreenlocker-dev (>= 5.27.8~),
                kuserfeedback-dev,
-               kwin-dev (>= 4:5.27.7~),
+               kwin-dev (>= 4:5.27.8~),
                libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
@@ -39,7 +40,7 @@
                libkf5globalaccel-dev (>= 5.102.0~),
                libkf5guiaddons-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
-               libkf5itemmodels-dev,
+               libkf5itemmodels-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kdelibs4support-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
@@ -50,9 +51,9 @@
                libkf5plasma-dev (>= 5.102.0~),
                libkf5runner-dev (>= 5.102.0~),
                libkf5sonnet-dev (>= 5.102.0~),
-               libkf5sysguard-dev,
+               libkf5sysguard-dev (>= 4:5.27.8~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
-               libkf5windowsystem-dev,
+               libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
@@ -78,9 +79,9 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.7~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev (>= 5.15.2~),
-               qtbase5-private-dev,
+               qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
                xserver-xorg-dev,
@@ -89,8 +90,8 @@
                xserver-xorg-input-synaptics-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 Rules-Requires-Root: no
 
 Package: plasma-desktop
@@ -110,19 +111,25 @@
          polkit-kde-agent-1 (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kwindowsystem,
+         qml-module-org-kde-pipewire,
          qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          qml-module-org-kde-solid,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
+         xdg-user-dirs,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: bluedevil (>= 4:5.27.7~),
             breeze-gtk-theme (>= 5.27.7~),
             fonts-hack,
-            fonts-noto,
+            fonts-noto-cjk,
+            fonts-noto-hinted,
+            fonts-noto-mono,
+            fonts-noto-unhinted,
             ibus-data,
             kde-config-gtk-style (>= 4:5.27.7~),
             kde-config-screenlocker (>= 5.27.7~),
@@ -142,19 +149,17 @@
             plasma-browser-integration (>= 5.27.7~),
             plasma-discover (>= 5.27.7~),
             plasma-disks (>= 5.27.7~),
-            plasma-firewall (>= 4:5.27.7~),
+            plasma-firewall (>= 5.27.7~),
             plasma-nm (>= 4:5.27.7~),
             plasma-pa (>= 4:5.27.7~),
             plasma-systemmonitor (>= 5.27.7~),
             plasma-thunderbolt (>= 5.27.7~),
             plasma-vault (>= 5.27.7~),
-            plasma-welcome (>= 4:5.27.7~),
-            plasma-workspace-wayland (>= 4:5.27.7~),
             powerdevil (>= 4:5.27.7~),
             systemsettings (>= 4:5.27.7~),
             xdg-desktop-portal-gtk,
             xdg-desktop-portal-kde (>= 5.27.7~),
-Suggests: kde-config-flatpak (>= 4:5.27.7~),
+Suggests: kde-config-flatpak (>= 4:5.27.7~)
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -183,7 +188,7 @@
 
 Package: plasma-desktop-data
 Architecture: all
-Depends: python3:any, ${misc:Depends},
+Depends: python3:any, ${misc:Depends}
 Recommends: plasma-framework (>= 4:5.27.7~),
             plasma-workspace (>= 4:5.27.7~),
             qml-module-org-kde-activities,
@@ -225,9 +230,11 @@
 Package: plasma-desktop-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${so:Depends},
-Breaks: kde-config-touchpad (<< 4:5),
-Replaces: kde-config-touchpad (<< 4:5),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${so:Depends},
+Breaks: kde-config-touchpad (<< 4:5)
+Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
